from setuptools import setup, find_packages

setup(
    name='mkdocs-exclude-snippets',
    version='0.1',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        'mkdocs',
        'pyyaml',  # Ensure you include all necessary dependencies
    ],
    entry_points={
        'mkdocs.plugins': [
            'exclude_snippets = mkdocs_exclude_snippets.exclude_snippets_plugin:ExcludeStandaloneSnippetsPlugin',
        ]
    }
)
